package com.ruoyi.post.mapper;


import com.ruoyi.post.domain.PostNews;
import com.ruoyi.post.domain.PostNews;

import java.util.List;
/**
 * @Author HuiANan
 * @Date 2023/1/17 20:48
 * @Exegesis:
 */
public interface PostNewsMapper
{
    /**
     * 查询消息;
     *
     * @param newsId 消息ID;
     * @return 消息信息;
     */
    public PostNews selectPostNewsByNewsId(Integer newsId);

    /**
     * 查询消息;
     *
     * @param postNews 消息信息;
     * @return 消息集合;
     */
    public List<PostNews> selectPostNewsList(PostNews postNews);

    /**
     * 新增通知消息管理;
     *
     * @param postNews 消息信息;
     * @return 结果
     */
    public int insertPostNews(PostNews postNews);

    /**
     * 修改通知消息管理;
     *
     * @param postNews 消息信息;
     * @return 结果
     */
    public int updatePostNews(PostNews postNews);

    /**
     * 删除通知消息管理;
     *
     * @param newsId 消息ID;
     * @return 结果
     */
    public int deletePostNewsByNewsId(Integer newsId);

    /**
     * 批量删除通知消息管理;
     *
     * @param newsIds 需要删除的消息ID
     * @return 结果
     */
    public int deletePostNewsByNewsIds(Integer[] newsIds);

    /**
     * 判断消息内容是否唯一
     * checkContent checkTitle
     * @return
     */
    public PostNews checkContentUnique(String content);

    /**
     * 判断消息标题是否唯一
     * @return
     */
    public PostNews checkTitleUnique(String Title);

    /**
     * 查看详情
     */
    public PostNews selectViewDetails(Integer newsId);
}